Loading...
Searching...
No Matches
msg_accept_any_s Struct Reference
MIME Headers » Accept-Encoding Header

Structure for Accept-Charset, Accept-Encoding and Accept-Language headers. More...

`#include <msg_mime.h>`

Collaboration diagram for msg_accept_any_s:
[legend]

## Data Fields

msg_common_t | aa_common [1]
| Common fragment info.
msg_accept_any_t * | aa_next
| Pointer to next Accept-* header.
char const * | aa_value
| Token.
msg_param_t const * | aa_params
| List of parameters.
char const * | aa_q
| Value of q parameter.

## Related Symbols

(Note that these are not member symbols.)
issize_t | msg_accept_any_d (su_home_t *home, msg_header_t *h, char *s, isize_t slen)
| Decode an Accept-* header.
issize_t | msg_accept_any_e (char b[], isize_t bsiz, msg_header_t const *h, int f)
| Encode an Accept-* header field.
isize_t | msg_accept_any_dup_xtra (msg_header_t const *h, isize_t offset)
| Calculate extra memory used by accept-* headers.
char * | msg_accept_any_dup_one (msg_header_t *dst, msg_header_t const *src, char *b, isize_t xtra)
| Duplicate one msg_accept_any_t object.

## Detailed Description

Structure for Accept-Charset, Accept-Encoding and Accept-Language headers.

## Friends And Related Symbol Documentation

## msg_accept_any_d()

issize_t msg_accept_any_d | ( | su_home_t * | home,
|  | msg_header_t * | h,
|  | char * | s,
|  | isize_t | slen )

related

Decode an Accept-* header.

## msg_accept_any_dup_one()

char * msg_accept_any_dup_one | ( | msg_header_t * | dst,
|  | msg_header_t const * | src,
|  | char * | b,
|  | isize_t | xtra )

related

Duplicate one msg_accept_any_t object.

## msg_accept_any_dup_xtra()

isize_t msg_accept_any_dup_xtra | ( | msg_header_t const * | h,
|  | isize_t | offset )

related

Calculate extra memory used by accept-* headers.

## msg_accept_any_e()

issize_t msg_accept_any_e | ( | char | b[],
|  | isize_t | bsiz,
|  | msg_header_t const * | h,
|  | int | f )

related

Encode an Accept-* header field.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.